> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.levrage.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.levrage.ai/_mcp/server.

# List voices

GET https://api.levrage.ai/v1/voices

List available voice IDs for agent configuration.

Use the returned voice_id when creating or updating an agent.

Reference: https://docs.levrage.ai/api-reference/voices/list-voices

## Request

### Query parameters

- `language` (string, required) — Language: English, Hindi, Tamil, etc.
- `gender` (string, required) — Gender: Male or Female
- `accent` (string, optional, nullable) — Accent for English: us, uk, in
- `limit` (integer, optional, nullable) — Max voices to return

## Response

### 200

Successful Response

- `language` (string, required)
- `gender` (string, required)
- `success` (boolean, optional, default: true)
- `voices` (list of VoiceItem, optional, default: [])
- `total_count` (integer, optional, default: 0)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### VoiceItem

Single voice entry.

- `voice_id` (string, required) — Voice identifier to use in agent config
- `url` (string, required) — Sample audio URL
- `name` (string, optional, nullable) — The voice's name, e.g. Pavithra
- `note` (string, optional, nullable) — What the voice suits, e.g. 'Smooth and calm — good for support'

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Response**

```json
{
  "language": "Hindi",
  "gender": "Female",
  "success": true,
  "voices": [
    {
      "voice_id": "hi_female_001",
      "url": "https://objectstore.e2enetworks.net/voice-samples/hi_female_001.mp3"
    },
    {
      "voice_id": "hi_female_002",
      "url": "https://objectstore.e2enetworks.net/voice-samples/hi_female_002.mp3"
    },
    {
      "voice_id": "hi_female_003",
      "url": "https://objectstore.e2enetworks.net/voice-samples/hi_female_003.mp3"
    }
  ],
  "total_count": 3
}
```

**SDK Code**

```python
import requests

url = "https://api.levrage.ai/v1/voices"

querystring = {"language":"Hindi","gender":"Female","limit":"3"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.levrage.ai/v1/voices?language=Hindi&gender=Female&limit=3")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```